commit:     6ea68dea6dad047a5a946f4e000e69c2350bc09d
Author:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
AuthorDate: Tue Oct 20 05:42:35 2020 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Tue Oct 20 05:43:12 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6ea68dea

sys-fs/lxcfs: bump to 4.0.6

 - now only supports sys-fs/fuse:3.

Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 sys-fs/lxcfs/Manifest           |  2 ++
 sys-fs/lxcfs/lxcfs-4.0.6.ebuild | 55 +++++++++++++++++++++++++++++++++++++++++
 2 files changed, 57 insertions(+)

diff --git a/sys-fs/lxcfs/Manifest b/sys-fs/lxcfs/Manifest
index 344a876047c..5ba9117585a 100644
--- a/sys-fs/lxcfs/Manifest
+++ b/sys-fs/lxcfs/Manifest
@@ -1 +1,3 @@
 DIST lxcfs-4.0.5.tar.gz 101842 BLAKE2B 
c916473e1b7ad42b8f69026a16810941c999d44ffcf1d456cb301411965f05e626338a5bde1e38fe99acd05f72bbcd5acbdcb2f65fa5ec183c967babcb8c70fd
 SHA512 
5c44aa7f43071a4316cc8702928fde2c928bd5654c9ab4d540152839db0d7dd235a861f263da56f02611941d46d22eee98e0cdd52aeaeda99f3c79c754d420a1
+DIST lxcfs-4.0.6.tar.gz 451636 BLAKE2B 
97de1825c4a91f4107dbee513246ff48a04956adce7a262a9744730067ac9c31fb6c7802757912640e58eb93504e12338e572acacf3ad300c1253eb517583226
 SHA512 
843ca196304efc963549c0e081bea4d58182887611da36232e875de4898d738111a967d89b4b49a9df51f25daf119ad2d488b8298cdef82926be03a7fa99a8a2
+DIST lxcfs-4.0.6.tar.gz.asc 833 BLAKE2B 
c5700c962a608fabc1a7ae4cd708c590a26dfebb72ea9c3db81500bb4e936e7f7358fbfb2c2a0e9531ffceb266d719bb3f6415f4d018ac1ba87b7b7ebddd21bf
 SHA512 
ceffb3dfe3b2751b944be08df84dc30c465b8cde12e16d37e54ce616e5f2032f287a475ca280da51bc4fc518904e64ea7f4681dd6070e63ebd7ecba8b09600e5

diff --git a/sys-fs/lxcfs/lxcfs-4.0.6.ebuild b/sys-fs/lxcfs/lxcfs-4.0.6.ebuild
new file mode 100644
index 00000000000..eacb9ba10aa
--- /dev/null
+++ b/sys-fs/lxcfs/lxcfs-4.0.6.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools systemd verify-sig
+
+DESCRIPTION="FUSE filesystem for LXC"
+HOMEPAGE="https://linuxcontainers.org/lxcfs/introduction/ 
https://github.com/lxc/lxcfs/";
+SRC_URI="https://linuxcontainers.org/downloads/lxcfs/${P}.tar.gz
+       verify-sig? ( 
https://linuxcontainers.org/downloads/lxcfs/${P}.tar.gz.asc )"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="dev-libs/glib:2
+       sys-fs/fuse:3"
+DEPEND="${RDEPEND}"
+BDEPEND="sys-apps/help2man
+       verify-sig? ( app-crypt/openpgp-keys-linuxcontainers )"
+
+RESTRICT="test"
+
+#S="${WORKDIR}/${PN}-${P}"
+
+VERIFY_SIG_OPENPGP_KEY_PATH=${BROOT}/usr/share/openpgp-keys/linuxcontainers.asc
+
+src_prepare() {
+       default
+       eautoreconf
+}
+
+src_configure() {
+       # Without the localstatedir the filesystem isn't mounted correctly
+       # Without with-distro ./configure will fail when cross-compiling
+       econf --localstatedir=/var --with-distro=gentoo
+}
+
+src_test() {
+       cd tests/ || die
+       emake tests
+       ./main.sh || die "Tests failed"
+}
+
+src_install() {
+       default
+
+       newconfd "${FILESDIR}"/lxcfs-4.0.0.confd lxcfs
+       newinitd "${FILESDIR}"/lxcfs-4.0.0.initd lxcfs
+
+       # Provide our own service file (copy of upstream) due to paths being 
different from upstream,
+       # #728470
+       systemd_newunit "${FILESDIR}"/lxcfs-4.0.0.service lxcfs.service
+}

Reply via email to